Subject: corrupted repository?

From: Francois Pepin <[email-masked]>
Date: Wed, 01 Oct 2008 17:29:38 -0400

Hi,

The repository on my OS X machine (10.5.5) seems to have been suddenly 
become corrupted in a strange way.

Everything seems to be working properly there (git fsck --full returns 
normally with no output), but I cannot clone or pull from my other machines:

(iduna is the name of the OS X machine)
[francois@monch ~]$ git clone iduna:git iduna2
Initialized empty Git repository in /bioinfo/home/francois/iduna2/.git/
Password:
error: git upload-pack: git-pack-objects died with error.
fatal: git upload-pack: aborting due to possible repository corruption 
on the remote side.
remote: fatal: exec pack-objects failed.
remote: aborting due to possible repository corruption on the remote side.
fatal: early EOF
fatal: index-pack failed

I have the same issue from the same machine:
[francois@Iduna ~]$ git clone localhost:git git2
Initialized empty Git repository in /Users/francois/git2/.git/
remote: fatal: exec pack-objects failed.
error: git upload-pack: git-pack-objects died with error.
fatal: git upload-pack: aborting due to possible repository corruption 
on the remote side.
remote: aborting due to possible repository corruption on the remote side.
fatal: early EOF
fatal: index-pack failed

But not if I just do it locally:
[francois@Iduna ~]$ git clone git git2
Initialized empty Git repository in /Users/francois/git2/.git/
Checking out files:   2% (140/5273)
[I cancelled it at this point]

I am running git 1.6.0.2 on the mac, and have only recently updated it 
so that might have a role to play.

Any suggestion would be welcome to fix this issue, and I'll be more than 
happy to provide whatever more information could useful.

Francois